﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using DlhSoft.Windows.Controls;
using DlhSoft.Windows.Data;
using System.Collections.ObjectModel;

namespace ScheduleChartDataGridCustomScheduleSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ScheduleChartDataGrid.WorkingDayStart = TimeOfDay.Parse("10:00:00");
            ScheduleChartDataGrid.WorkingDayFinish = TimeOfDay.Parse("14:00:00");
            ScheduleChartDataGrid.NonworkingIntervals = new ObservableCollection<TimeInterval>(
                new TimeInterval[] { new TimeInterval(DateTime.Today.AddDays(2), DateTime.Today.AddDays(3).Add(TimeSpan.Parse("12:00:00"))) });
            ScheduleChartDataGrid.TimelinePageStart = DateTime.Today;
            ScheduleChartDataGrid.TimelinePageFinish = DateTime.Today.AddMonths(2);
            ScheduleChartDataGrid.VisibleDayStart = TimeOfDay.Parse("09:00:00");
            ScheduleChartDataGrid.VisibleDayFinish = TimeOfDay.Parse("15:00:00");

            GanttChartItem task1 = ScheduleChartDataGrid.Items[0].GanttChartItems[0];
            task1.Start = DateTime.Today.Add(TimeSpan.Parse("08:00:00"));
            task1.Finish = DateTime.Today.Add(TimeSpan.Parse("16:00:00"));
            task1.CompletedFinish = DateTime.Today.Add(TimeSpan.Parse("12:00:00"));

            GanttChartItem task21 = ScheduleChartDataGrid.Items[0].GanttChartItems[1];
            task21.Start = DateTime.Today.AddDays(1).Add(TimeSpan.Parse("12:00:00"));
            task21.Finish = DateTime.Today.AddDays(2).Add(TimeSpan.Parse("16:00:00"));
            task21.AssignmentsContent = "50%";

            GanttChartItem task22 = ScheduleChartDataGrid.Items[1].GanttChartItems[0];
            task22.Start = DateTime.Today.AddDays(1).Add(TimeSpan.Parse("12:00:00"));
            task22.Finish = DateTime.Today.AddDays(2).Add(TimeSpan.Parse("16:00:00"));
        }
    }
}
